Support » Plugin: WP eCommerce » variations array error

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Mihai

    (@misulicus)

    You need to upgrade your WPEC version.
    It has been resolved in new versions.

    Regards

    OK

    I’ve updated to the latest version (both WPEC and WP) and am now getting this error when editing variations on the products entry admin page:
    Warning: implode() [function.implode]: Invalid arguments passed in /home/{USERNEAME}/public_html/wp-content/plugins/wp-e-commerce/wpsc-admin/includes/product-variation-list-table.class.php on line 208

    208 $title = implode( ', ', $this->object_terms_cache[$item->ID] );

    Not sure what is happening here.

    Plugin Author Mihai

    (@misulicus)

    Hey there,
    Check this git issue that i personally had and i think is similar to yours.

    https://github.com/wp-e-commerce/WP-e-Commerce/issues/146
    Try diasbling all other plugins. Also if adding a new product that has variations, try to publish the product first without variations and then edit it and add the variants.

    See if that helps

    It seems that when adding new variations you need to run through the variations setup (setup tab) again on the add/edit product page.. Once I did that, they started working.

    I’m no going through all the existing entries in the store to fix them and will then try to add new products and see what happens with variations again then.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘variations array error’ is closed to new replies.